/ comp / gb.db / connection / charset
Connection.Charset (gb.db)
Syntax

    PROPERTY READ Charset AS String

Returns the charset used by the database.

You can store your strings in the database directly in UTF-8, or you can use this property and the Conv$() subroutine to convert them from UTF-8 to the database charset.

Using the database charset is heavier, because you need to use the Conv$() subroutine each time you read or write a string field. But this is the only way if you want to use the string SQL functions and sorts of the underlying database management system.

In the future, the conversion between Gambas strings and the database charset may become automatic.